Cloud DNS API, REST: DnsFirewall.Get
Returns the specified DNS firewall.
To get the list of all available DNS firewalls, make a List request.
HTTP request
GET https://dns.api.yandexcloud.kz/dns/v1/firewalls/{dnsFirewallId}
Path parameters
|
Field |
Description |
|
dnsFirewallId |
string Required field. ID of the DNS firewall to return. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"deletionProtection": "boolean",
"enabled": "boolean",
"resourceConfig": {
"type": "string",
"resourceIds": [
"string"
],
"lockingPolicyEnabled": "boolean"
},
"whitelistFqdns": [
"string"
],
"blacklistFqdns": [
"string"
]
}
A DNS firewall. For details about the concept, see DNS firewalls.
|
Field |
Description |
|
id |
string ID of the DNS firewall. Generated at creation time. |
|
folderId |
string ID of the folder that the DNS firewall belongs to. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the DNS firewall. |
|
description |
string Description of the DNS firewall. |
|
labels |
object (map<string, string>) DNS firewall labels as |
|
deletionProtection |
boolean Prevents accidental firewall removal. |
|
enabled |
boolean Whether the DNS firewall is enabled. |
|
resourceConfig |
Resource settings. |
|
whitelistFqdns[] |
string List of FQDNs that the DNS firewall allows to pass. The maximum string length in characters for each value is 255. The maximum number of elements is 255. |
|
blacklistFqdns[] |
string List of FQDNs that the DNS firewall blocks. The maximum string length in characters for each value is 255. The maximum number of elements is 255. |
ResourceConfig
|
Field |
Description |
|
type |
enum (ResourceType) Type of the resource.
|
|
resourceIds[] |
string Resource ids. The maximum string length in characters for each value is 64. The number of elements must be in the range 0-100. |
|
lockingPolicyEnabled |
boolean Whether the locking policy is enabled. |